#!/bin/sh/

echo -e "Installing WP8 keyboard theme by MK99"

cp -R /home/user/MyDocs/.keyboardtheme/*.png /usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-virtual-keyboard

sed -i "/#ExtendedKeys {/,/key/c\\
#ExtendedKeys {\\
   font-color: \$COLOR_FOREGROUND;\\
\\
   key-pressed-font-color: \#FFFFFF;" /usr/share/themes/blanco/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed '88s/key-highlighted-font-color.*/key-highlighted-font-color: #FFFFFF;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-shift-uppercase-compact-icon-id-selected.*/key-shift-uppercase-compact-icon-id-selected: "icon-m-input-methods-capslock";/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-shift-uppercase-icon-id-selected.*/key-shift-uppercase-icon-id-selected: "icon-m-input-methods-capslock";/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/magnifier-text-color.*/magnifier-text-color: #FFFFFF;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-enter-icon-id-highlighted.*/key-enter-icon-id-highlighted: "";/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-background-special-highlighted.*/key-background-special-highlighted: "meegotouch-keyboard-function-key" $ROUNDED_CORNERS;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed -i '/binding action="space" label=""/s/"space" label=""/"space"/' /usr/share/meegotouch/virtual-keyboard/layouts/*.xml
sed -i '/binding action="space"/s/"space"/"space" label="space"/' /usr/share/meegotouch/virtual-keyboard/layouts/*.xml

/sbin/reboot