#!/bin/sh/

echo -e "Restoring your default keyboard theme"

cp -R /home/user/MyDocs/.keyboardtheme/default/*.png /usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-virtual-keyboard

sed -i "/#ExtendedKeys {/,/key/c\\
#ExtendedKeys {\\
   font-color: \$COLOR_FOREGROUND;\\
\\
   key-pressed-font-color: \$COLOR_FOREGROUND;" /usr/share/themes/blanco/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed '88s/key-highlighted-font-color.*/key-highlighted-font-color: $COLOR_FOREGROUND;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-shift-uppercase-compact-icon-id-selected.*/key-shift-uppercase-compact-icon-id-selected: "icon-m-input-methods-capslock-compact-selected";/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-shift-uppercase-icon-id-selected.*/key-shift-uppercase-icon-id-selected: "icon-m-input-methods-capslock-selected";/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/magnifier-text-color.*/magnifier-text-color: #505050;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-enter-icon-id-highlighted.*/key-enter-icon-id-highlighted: "icon-m-input-methods-enter-selected";/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-background-special-highlighted.*/key-background-special-highlighted: "meegotouch-keyboard-function-key-selected" $ROUNDED_CORNERS;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed -i '/binding action="space" label="space"/s/"space" label="space"/"space" label=""/' /usr/share/meegotouch/virtual-keyboard/layouts/*.xml

/sbin/reboot